<!--
  Generated template for the ProfileUserPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

 <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
     <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">my </span><span class="font-color-blue">profil</span></h3>
    </ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
		<div class="card">
			<div class="card-header">
				<div class="profile_pic" *ngFor="let item_pic of data_item">
					<img src="data:image/png;base64,{{item_pic.pic_profile}}" width="64px" height="64px">
				</div>
			</div>
			<div class="card-body">
				<div class="d-lfex justify-content-center flex-column" *ngFor="let item of data_item">
				    <div class="name_container">
						<div class="name">{{item.name}}</div>
					</div>
					<div *ngIf=" item.provider == 'Sales'">
						<div class="address">{{item.kode_sales}}</div>
					</div>
					<div *ngIf=" item.provider == 'Agent'">
						<div class="address">Kode HSP   : {{item.kode_agent}}</div>
						<div class="address">Kode Sales : {{item.kode_sales}}</div>
					</div>
					<div *ngIf=" item.provider == 'Karyawan'">
						<div class="address">Kode Karyawan : {{item.kode_karyawan}}</div>
					</div>					 
				</div>
				
				<div class="profile-block" *ngFor="let item of data_item">
					<ul class="nav nav-pills nav-stacked">
					  <li><a href="#">Jenis Kelamin : {{item.jenis_kelamin}}</a></li>
					  <li><a href="#">Email : {{item.email}}</a></li>
					  <li><a href="#">Nomor Telepon : {{item.phone_number}}</a></li>
					</ul>
				</div>
				
				<div class="profile-block" *ngFor="let item_agent of data_agent">
					<ul class="nav nav-pills nav-stacked">
					  <li><a href="#">Nomor KTP  : {{item_agent.nik}}</a></li>
					  <li><a href="#">Nomor NPWP : {{item_agent.npwp}}</a></li>
					  <li><a href="#">Nama  Bank : {{item_agent.nama_bank}}</a></li>
					  <li><a href="#">Kantor Cabang : {{item_agent.kantor_cabang}}</a></li>
					  <li><a href="#">Nomor Rekening : {{item_agent.nomor_rekening}}</a></li>
					  <li><a href="#">Pemilik Rekening : {{item_agent.nama_pemilik}}</a></li>
					</ul>
				</div>
				
				<div class="profile-block" *ngFor="let item_almt of data_address">
					<ul class="nav nav-pills nav-stacked">
					  <li><a href="#">Provinsi : {{item_almt.province}}</a></li>
					  <li><a href="#">Kota : {{item_almt.city}}</a></li>
					  <li><a href="#">Kecamatan : {{item_almt.kecamatan}}</a></li>
					  <li><a href="#">Kelurahan : {{item_almt.kelurahan}}</a></li>
					  <li><a href="#">{{item_almt.alamat}}</a></li>
					  <li><a href="#">Kode Pos : {{item_almt.kode_pos}}</a></li>
					</ul>
				</div>
			</div>
			<form (submit)="doUploadFoto()">
				<p style="text-align: center;">
					<img src="{{myImageProfile}}" (click)="takePhotoProfile()" />
					<ion-input type="hidden" [(ngModel)]="regData.imageOriProfile" name="imageOriProfile"></ion-input>
				</p>
				<p padding>
					<button type="submit" ion-button block color="light" class="button-color">Upload Foto</button>
				</p>
			</form>
			<!-- <div class="card-footer">
				<div class="view_profile">
					View profile
				</div>				
			</div> -->
		</div>
</ion-content>
